# openpyxl.packaging.custom module

Implementation of custom properties see § 22.3 in the specification

class openpyxl.packaging.custom.BoolProperty(name, value)

  Bases: `_TypedProperty`

  value

    Values must be of type <class ‘bool’>

class openpyxl.packaging.custom.CustomPropertyList

  Bases: `Strict`

  append(prop)
  classmethod from_tree(tree)

    Create list from OOXML element

  property names

    List of property names

  props

    A sequence (list or tuple) that may only contain objects of the declared type

  to_tree()

class openpyxl.packaging.custom.DateTimeProperty(name, value)

  Bases: `_TypedProperty`

  value

    Values must be of type <class ‘datetime.datetime’>

class openpyxl.packaging.custom.FloatProperty(name, value)

  Bases: `_TypedProperty`

  value

    Values must be of type <class ‘float’>

class openpyxl.packaging.custom.IntProperty(name, value)

  Bases: `_TypedProperty`

  value

    Values must be of type <class ‘int’>

class openpyxl.packaging.custom.LinkProperty(name, value)

  Bases: `_TypedProperty`

  value

    Values must be of type <class ‘str’>

class openpyxl.packaging.custom.NestedBoolText(*args, **kw)

  Bases: `Bool`, `NestedText`

  Descriptor for handling nested elements with the value stored in the text part

class openpyxl.packaging.custom.StringProperty(name, value)

  Bases: `_TypedProperty`

  value

    Values must be of type <class ‘str’>